#ifndef _kchartWIZARDSELECTSETUPDATAPAGE_H
#define _kchartWIZARDSELECTSETUPDATAPAGE_H

#include <tqwidget.h>

class TQRadioButton;
class TQCheckBox;

namespace KChart
{

class kchartWidget;
class KChartPart;
class KChartWizard;

class KChartWizardSetupDataPage : public TQWidget
{
  Q_OBJECT
  

public:
  KChartWizardSetupDataPage( TQWidget* parent, KChartPart* chart );
  ~KChartWizardSetupDataPage();
  
private slots:
  void dataInRowsClicked();
  void dataInColsClicked();
  void firstColumnIsDescriptionToggled( bool );
  void firstRowIsDescriptionToggled( bool );

private:
  KChartPart* _chart;
  KChartWizard* _parent;

  kchartWidget* preview;
  TQRadioButton* datacol;
  TQRadioButton* datarow;
  TQCheckBox* rowdescript;
  TQCheckBox* coldescript;
};

}  //namespace KChart

#endif
